body {
    font-family: Arial, Helvetica, Verdana;
    font-size: 12px;
    line-height: 1.75;
    padding-left: 15px;
    padding-right: 15px;
}

h1, h2, h3 {
    line-height: normal;
}

/* Set jQuery UI anchors to Bootstrap default. */
form {
    padding: 0px;
    margin: 0px;
}

textarea {
    padding: 2px 4px;
}

select {
    padding: 2px 4px;
    height: 24px;
}

.show {
    display: block;
}

/* Accessibility-related selectors */
a,
.s-lg-link-contrast,
.ui-widget-content a,
#s-lib-public-main .dataTables_paginate > ul.pagination > li.paginate_button:not(.disabled):not(.active) > a,
#s-lib-admin-main .dataTables_paginate > ul.pagination > li.paginate_button:not(.disabled):not(.active) > a {
    color: #2954d1;
}

.s-lg-disabled-text-contrast,
#s-lib-public-main .dataTables_paginate .paginate_button.disabled a,
#s-lib-admin-main .dataTables_paginate .paginate_button.disabled a {
    color: #000;
}

.s-lg-link-weight-contrast {
    font-weight: 700;
}

button.slick-prev.slick-arrow:focus, button.slick-next.slick-arrow:focus {
    outline: auto 1px;
    outline: -webkit-focus-ring-color auto 1px;
}

.discussion_file_parent_focused {
    color: #000;
    background-color: #e6e6e6;
    border-color: #8c8c8c;
}

/* Color copied from BS-Accessibility */
.required {
    color: #d2322d;
    font-size: 130%;
}

/* Fix for iOS Bootstrap tooltips */
@supports (-webkit-overflow-scrolling: touch) {
    /* CSS specific to iOS devices */
    body {
        cursor: pointer;
    }
}

.s-lg-az-result-badge-new {
    background-color: #155569;
}

.s-lg-az-result-badge-featured {
    background-color: #255425;
}

.s-lg-az-result-badge-trial {
    background-color: #794b0b;
}

.fa-external-link {
    font-size: 9px !important;
    color: #666;
}

/*=====================*/
/* Bootstrap overrides */
/*=====================*/
.dropdown-menu {
    font-size: 12px;
    overflow: auto;
}

.dropdown-menu.dropdown-scroll {
    max-height: 500px;
    overflow: auto;
}

.multiselect-item.filter .input-group-addon {
    font-size: 12px;
}

.form-horizontal .form-group {
    margin-left: -10px;
    margin-right: -10px;
}

textarea, input, select {
    font-weight: normal;
}

#s-lib-alert-content .row {
    margin-left: -10px;
    margin-right: -10px;
}

.alert-controls {
    background-color: #f7f7f9;
    border-color: #e1e1e8;
    color: #666
}

.alert-transparent {
    background-color: #fff;
    border-color: #e1e1e8;
    color: #666
}

/*=====================*/
.pad-top-sm {
    padding-top: 5px;
}

.pad-top-med {
    padding-top: 10px;
}

.pad-bottom-sm {
    padding-bottom: 5px;
}

.pad-bottom-med {
    padding-bottom: 10px;
}

.pad-sm {
    padding: 5px;
}

.pad-med {
    padding: 10px;
}

.pad-lg {
    padding: 25px;
}

.margin-top-none {
    margin-top: 0px !important;
}

.margin-top-sm {
    margin-top: 5px !important;
}

.margin-top-med {
    margin-top: 10px !important;
}

.margin-top-lg {
    margin-top: 25px !important;
}

.margin-bottom-none {
    margin-bottom: 0px !important;
}

.margin-bottom-sm {
    margin-bottom: 5px !important;
}

.margin-bottom-med {
    margin-bottom: 10px !important;
}

.margin-bottom-lg {
    margin-bottom: 25px !important;
}

.margin-bottom-xlg {
    margin-bottom: 50px !important;
}

.margin-left-none {
    margin-left: 0px !important;
}

.margin-left-sm, .pad-left-sm {
    margin-left: 5px !important;
}

.margin-left-med {
    margin-left: 10px !important;
}

.pad-left-med {
    margin-left: 15px;
}

.margin-left-lg {
    margin-left: 25px !important;
}

.margin-right-none {
    margin-right: 0px !important;
}

.margin-right-sm, .pad-right-sm {
    margin-right: 5px !important;
}

.margin-right-med {
    margin-right: 10px !important;
}

.pad-right-med {
    margin-right: 15px !important;
}

.margin-right-lg {
    margin-left: 25px !important;
}

.s-lib-icon-spacer {
    position: relative;
    display: inline;
    top: -2px;
    padding: 0px 10px;
    color: #4A4A4A;
}

.link-pointer {
    cursor: pointer;
}

.no-deco {
    text-decoration: none;
}

.border-dashed {
    border-style: dashed;
}

.border-thin {
    border-width: 1px;
}

#s-lib-banner-img {
    width: 100%;
}

.s-lib-color-lt-grey {
    color: #767676;
}

.s-lg-width-16 {
    width: 16px;
}

.s-lg-display-inline, .s-lib-display-inline {
    display: inline;
}

.s-lib-center {
    text-align: center;
}

/* Container side border/padding */
.s-lib-side-borders {
    border-left: 0;
    border-right: 0;
    padding-left: 0;
    padding-right: 0;
}

.s-lib-side-borders-no-pad {
    border-left: 1px solid #bbb;
    border-right: 1px solid #bbb;
}

.s-lib-show {
    display: block;
}

.s-lib-hide {
    display: none;
}

.s-lib-popover {
    cursor: pointer;
}

.popover {
    min-width: 250px;
    max-width: 500px;
    font-size: 1em;
}

.s-lg-drop-indent-1 {
    padding-left: 25px;
}

.s-lib-tabs {
}

#s-lg-tabs-container .nav-tabs .dropdown-toggle .caret {
    margin-left: 2px;
    margin-top: 2px;
}

/**  Begin: pre-v1.10 tabs **/
#s-lg-guide-tabs ul.nav li.dropdown:hover ul.dropdown-menu {
    display: block;
}

/**  End: pre-v1.10 tabs **/

/** Begin: v1.10 tabs **/
#s-lg-guide-tabs ul.nav li.dropdown a.s-lg-tab-drop:hover ~ ul.dropdown-menu,
#s-lg-guide-tabs ul.nav li.dropdown ul.dropdown-menu:hover {
    display: block;
}

/** End: v1.10 tabs **/

/** Begin: tabs **/
#s-lg-guide-tabs .dropdown-menu {
    margin: -1px !important;
    left: 1px;
}

.s-lg-tabs-side .nav {
    margin: 0px 0px 40px 0px;
}

.s-lg-tabs-side .s-lg-boxnav {
    margin-top: 2px;
    margin-bottom: 0px;
    margin-left: 20px;
}

.s-lg-tabs-side .s-lg-boxnav .list-group-item {
    padding-top: 4px;
    padding-bottom: 4px;
    margin-top: 4px;
    margin-bottom: 4px;
    background-color: #fafafa;
}

.s-lg-tabs-side .s-lg-subtab-ul {
    margin-top: 2px;
    margin-left: 20px;
    margin-bottom: 0px;
}

#s-lg-guide-tabs .nav-tabs > li {
    margin-bottom: -1px;
    margin-top: 2px;
}

/** End: tabs **/

/** Begin: v1.10 tabs **/
.split-button-nav .dropdown-toggle {
    float: right;
    z-index: 2;
}

.split-button-nav .dropdown-menu {
    width: auto;
}

/** End: v1.10 tabs **/

#s-lib-banner {
    padding: 0;
    border-left: 0px solid #bbb;
    border-right: 0px solid #bbb;
}

#s-lib-container {
}

#s-lib-footer-brand, #s-lib-footer-rights, #s-lib-footer-login-link, #s-lib-footer-support-link, #s-lib-footer-privacy, #s-lib-footer-print-link {
    display: inline;
    padding: 0px 3px;
}

#s-lib-footer-login-link a, #s-lib-footer-support-link a {
    color: #1f496e;
}

#s-lg-guide-header-search {
    float: right;
}

#s-lg-guide-search-box {
    width: 272px;
    margin-left: 15px;
    margin-bottom: 5px;
}

.s-lib-header {

}

.s-lib-main {
    color: #000;
    padding-top: 10px;
    padding-bottom: 10px;
}

#s-lib-alert {
    display: none;
}

#s-lib-alert-content .tab-content {
    overflow: visible;
}

.s-lib-header h1, #s-lg-guide-header-info h1 {
    margin-top: 5px;
    margin-bottom: 5px;
    font-size: 24px;
}

.s-lib-box {
    border: 1px solid #DFDFE3;
    background-color: #FFFFFF;
    border: 1px solid;
    border-color: #CCCCCC #CCCCCC #B3B3B3;
    box-shadow: 0 8px 6px -6px #AAAAAA;
    display: inline-block;
    margin: 0 0 20px 0;
    overflow: visible;
    padding: 0;
    position: relative;
    vertical-align: top;
    width: 100%;
    border-radius: 4px 4px 4px 4px;
}

.s-lib-box-no-shadow {
    box-shadow: none;
}

.s-lib-box-idx-guide-list, .s-lib-box-er-course-list, .s-lib-box-idx-er-course-list, .s-lib-box-idx-blog-post-list {
    box-shadow: none;
    border-color: #E5E5E5;
    margin: 0 0 2px 0;
}

/* Shared box title props */
.s-lib-box .s-lib-box-title {
    font-weight: bold;
    padding: 6px 8px;
    border-bottom: 1px solid #CCC;
    border-radius: 3px 3px 0px 0px;
    font-size: 12px;
    margin-top: 0px;
    color: #666666;
}

.s-lib-box .s-lg-box-footer {
    border-radius: 0px 0px 3px 3px;
}

.s-lib-box.s-lib-box-idx-guide-list .s-lib-box-content .s-lg-gtitle {
    display: inline;
}

.s-lg-widget-content-inner img,
.s-lib-box iframe,
.s-lib-box img,
.s-lib-box object {
    max-width: 100%;
}

.s-lib-border-round {
    border-radius: 4px 4px 4px 4px;
}

.s-lib-inner-border-top-round {
    border-radius: 3px 3px 0px 0px;
}

.s-lib-inner-border-bottom-round {
    border-radius: 0px 0px 3px 3px;
}

.s-lib-border-bottom {
    border-bottom: 1px solid;
}

.s-lib-border-grey {
    border-color: #eee;
}

/* Standard, default box title props */
.s-lib-box-std .s-lib-box-title {
    border-bottom: 1px solid #CCC;
    background-image: linear-gradient(to bottom, #FAFAFA 0%, #DDDDDD 100%);
    margin-bottom: 0;
}

.s-lib-box-std .s-lib-box-title > a {
    text-decoration: none;
}

/* Admin box title props */
.s-lg-box-admin .s-lib-box-title {
    background-image: linear-gradient(to bottom, #FAFAFA 0%, #DDDDDD 100%);
}

/* Box footer */
.s-lib-box-container .s-lg-box-footer, .s-lib-box .s-lg-box-footer {
    font: normal 11px Arial, Helvetica, sans-serif;
    background-color: #FaFaFa;
    border-top: 1px dashed #E8E8E8;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
    text-align: left;
    padding-left: 10px;
}

.s-lib-box-container .s-lg-box-footer .s-lg-box-updated {
    color: #c3c3c3;
    font-size: 10px;
}

.s-lg-tn-li {
    list-style-type: none;
}

.s-lg-tn {
    margin-left: -15px;
}

.s-lg-icons {
    display: inline;
}

.s-lg-icons ul {
    list-style: none;
    padding: 0px;
    margin: 0px;
    display: inline;
}

.s-lg-icons li {
    display: inline;
    padding: 0px 2px;
}

.s-lg-icon {
    max-height: 16px;
    max-width: 16px;
    border: 0px;
    margin-bottom: 2px;
}

.s-lib-box-content {
    padding: 10px;
}

.s-lib-box-discussion .s-lib-box-content {
    padding: 0;
}

.s-lib-box-content .sortable > li {
    margin: 0;
    padding: 0 0 5px 0;
}

.s-lib-box-container {
    margin: 0 0 0 0;
}

.s-lg-tabs-side .s-lib-box-container {
    padding: 0 2px 0 0;
}

#s-lg-guide-header-attributes, #s-lg-guide-header-attributes-editor {
    list-style: none outside none;
    margin: 0;
}

#s-lg-guide-header-attributes li, #s-lg-guide-header-attributes-editor li {
    float: left;
    padding: 0 10px 0 0;
}

.s-lg-h-separator {
    border-right: 1px solid #acacac;
    margin-right: 10px;
}

#s-lg-guide-name-edit {
    display: inline;
}

.s-lg-guide-label {
    font-weight: bold;
}

#s-lg-guide-page-name {
    font: bold 14px Arial, Helvetica, sans-serif;
    padding-right: 15px;
}

.s-lg-google-search-field {
    width: 125px;
    display: inline;
}

.s-lg-poll-toggle {
    display: inline;
}

.s-lg-poll-votes {
    display: inline;
}

/* Bootstrap/jQuery overrides */
#s-lib-public-main .alert {
    margin-bottom: 5px;
}

#s-lg-page-friendly-anchor div {
    color: #777;
    font-size: 11px;
    font-weight: 700;
    padding-bottom: 15px;
    padding-top: 15px;
    line-height: 20px;
    display: block;
    position: relative;
}

#s-lg-guide-tabs-title-bar .nav > li > a:hover {
    background: transparent;
}

#s-lg-guide-tabs-title-bar .navbar, #s-lib-public-nav .navbar {
    margin-left: 0;
    margin-right: 0;
}

#s-lg-guide-tabs-title-bar .navbar {
    border-top-left-radius: 0;
    margin-bottom: 0;
}

#s-lg-guide-tabs-title-bar .divider-vertical {
    border-left: 1px solid #F2F2F2;
    border-right: 1px solid #FFFFFF;
    height: 30px;
    margin: 0 0px;
}

#s-lg-guide-tabs-title-bar .nav .dropdown-toggle .caret {
    /*margin-top: 5px;*/
}

#s-lg-guide-tabs-title-bar .nav li.dropdown.open > .dropdown-toggle, .navbar .nav li.dropdown.active > .dropdown-toggle, .navbar .nav li.dropdown.open.active > .dropdown-toggle {
    background-color: inherit;
    color: #555555;
}

.s-lg-admin-guide-page-nav > ul > li > a {
    font-weight: bold;
    font-size: 11px;
}

#s-lib-public-nav .navbar-inner {
    border-radius: 0px;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border: 0;
    height: 33px;
    min-height: 33px;
    padding-left: 15px;
    padding-right: 0px;
    border-top: solid 1px #bbb;
    border-bottom: solid 1px #bbb;
    background-image: linear-gradient(to bottom, #ffffff 0%, #f2f2f2 100%);
    background-image: -webkit-linear-gradient(top, #ffffff, #f2f2f2);
}

#s-lib-public-nav .divider-vertical {
    border-left: 1px solid #F2F2F2;
    border-right: 1px solid #FFFFFF;
    height: 30px;
    margin: 0 0px;
}

#s-lib-public-nav .nav .dropdown-toggle .caret {
    margin-top: 5px;
}

#s-lib-public-nav .nav li.dropdown.open > .dropdown-toggle, .navbar .nav li.dropdown.active > .dropdown-toggle, .navbar .nav li.dropdown.open.active > .dropdown-toggle {
    background-color: inherit;
    color: #555555;
}

#s-lib-public-nav .nav > li > a {
    font: bold 11px Arial, Helvetica, sans-serif;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 9px;
}

#s-lib-public-nav .navbar .brand {
    color: #777777;
    display: block;
    float: left;
    font-size: 15px;
    font-weight: 200;
    margin-left: -15px;
    padding: 5px 10px;
    text-shadow: 0 1px 0 #FFFFFF;
}

#s-lib-public-nav .navbar .brand .badge {
    font-size: 14px;
}

#s-lib-public-nav .navbar-search .search-query {
    border-radius: 15px 15px 15px 15px;
    font-size: 11px;
    font-weight: normal;
    line-height: 1;
    margin-bottom: 0;
    padding: 1px 10px;
}

#s-lib-public-nav .navbar .nav > .active > a,
#s-lib-public-nav .navbar .nav > .active > a:hover,
#s-lib-public-nav .navbar .nav > .active > a:focus {
    background-color: #f1f1f1;
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.125) inset;
    color: #555555;
    text-decoration: none;
}

#s-lib-public-nav .navbar {
    margin-bottom: 0;
}

.s-lg-poll .progress {
    margin-bottom: 10px;
}

.popover-title {
    padding: 5px 10px;
    font-size: 12px;
    color: #636363;
}

.popover-content {
    padding: 5px 10px;
    color: #767676;
}


.s-lib-box-content .ui-tabs .ui-tabs-panel { /* jQuery UI tabs */
    padding: 10px;
}

.s-lib-box-content .ui-widget {
    font-family: Arial, Helvetica, Verdana;
    font-size: 1.0em;
}

.s-lib-box-content .ui-tabs-nav li > a {
    color: #000;
}

.s-lib-box-content .carousel {
    margin-bottom: 0;
}

.s-lib-main .pagination {
    margin: 0;
}

.s-lib-main .pager {
    margin: 10px 0 0 0;
}

.pager li a {
    margin-right: 10px;
}

#s-lg-page-prevnext {
    margin: 10px 0 10px 0;
}

#s-lg-box-bottom-container {
    margin-bottom: 10px;
}

.s-lg-guide-body .ui-dialog .ui-dialog-buttonpane button {
    margin-right: 15px;
}

.s-lg-guide-body #s-lg-guide-header-attributes,
.s-lg-guide-body #s-lg-guide-header-attributes-editor,
#s-lib-alert-content ul {
    padding-left: 0px;
}

.s-lg-link-list, .s-lg-system-list, .s-lg-rss-list, .s-lg-er-item-list {
    list-style-type: disc;
    padding-left: 20px;
}

.s-lg-rss-links {
    padding-left: 20px;
}

.s-lg-rss-date {
    color: #4A4A4A;
}

.s-lg-rv:nth-of-type(2) {
    border-left: 1px solid #000;
    padding-left: 5px;
}

.s-lg-link-list li, .s-lg-system-list li, .s-lg-er-item-list li {
    padding-top: 5px;
}

.s-lg-system-list .s-lg-guide-list-info {
    font-size: .9em;
}

.s-lg-system-list .s-lg-guide-list-info .s-lg-guide-info-account,
.s-lg-system-list .s-lg-guide-list-info .s-lg-guide-info-updated,
.s-lg-system-list .s-lg-guide-list-info .s-lg-guide-info-views {
    white-space: nowrap;
}

/* Book type */
.s-lg-link-list-5 {
    list-style-type: none;
    margin-left: 0;
}

/* Box Content styles */
.s-lg-book {
    padding-bottom: 10px;
}

.s-lg-book-title {
    font-weight: bold;
}

.s-lg-book-author {
    display: inline;
}

.s-lg-book-isbn {
    padding-left: 5px;
}

.s-lg-book-callno {
    padding-left: 5px;
}

.s-lg-book-pubdate {
    padding-left: 5px;
}

.s-lg-book-label {
}

.s-lg-book-cover-img {
    padding-right: 5px;
}

.s-lg-book-cover-img-0, .s-lg-book-cover-img-1, .s-lg-book-cover-img-2 {
    float: left;
    border: 0px;
    margin: 0px 10px 0px 0px;
}

.s-lg-book-cover-img-0 {
    width: 90px;
}

.s-lg-book-cover-img-1 {
    width: 140px;
}

.s-lg-book-cover-img-2 {
    width: 200px;
}

.s-lg-poll-outer legend {
    font-weight: bold;
    font-size: 12px;
    margin-bottom: 0;
}

/* ======================= */
.s-lib-footer {
    font-size: .9em;
    padding-top: 5px;
    padding-bottom: 5px;
    border-top: 1px solid #bbb;
    background-color: #f5f5f5;
}

.s-lib-public-body #s-lib-footer-public {
    text-align: center;
}

.s-lib-debug {
    font-family: verdana;
    font-size: 11px;
    color: #fff;
}

.s-lg-hr-full {
    height: 1px;
    border-bottom: 1px solid #ddd;
}

.s-lib-grey-back {
    background-color: #eee;
}

.s-lg-no-val, .s-lg-text-greyout, .s-lib-greyout {
    color: #666;
}

.s-lg-small, .s-lib-small {
    font-size: 11px;
}

.s-lib-text-sm {
    font-size: .8em;
}

.s-lib-text-lg {
    font-size: 1.2em;
}

.s-lg-bold, .bold {
    font-weight: bold;
}

.s-lg-text-ghost, .s-lib-text-ghost {
    color: #777;
    font-weight: normal;
}

.s-lib-text-error {
    color: #B94A48;
}

.s-lib-text-success {
    color: #5CB85C;
}

.s-lib-alert-content .s-lib-alert-desc {
    font-size: 1em;
}

.s-lib-api-table a {
    letter-spacing: 1px;
}

/* Colors */
.red {
    color: #990000;
}

.white-caret {
    border-top-color: #fff !important;
    border-bottom-color: #fff !important;
}

.btn-primary {
    background-color: hsl(200, 100%, 30%) !important;
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#00A5FF", endColorstr="#006399");
    background-image: -khtml-gradient(linear, left top, left bottom, from(#00A5FF), to(#006399));
    background-image: -moz-linear-gradient(top, #00A5FF, #006399);
    background-image: -ms-linear-gradient(top, #00A5FF, #006399);
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #00A5FF), color-stop(100%, #006399));
    background-image: -webkit-linear-gradient(top, #00A5FF, #006399);
    background-image: -o-linear-gradient(top, #00A5FF, #006399);
    background-image: linear-gradient(to bottom, #00A5FF 0%, #006399 100%);
    border-color: #006399 #006399 hsl(201, 100%, 25%);
    text-shadow: 0 1px 1px rgba(200, 200, 200, 0.44);
    -webkit-font-smoothing: antialiased;
}

.btn-group .btn .btn-group-selected {
    display: none;
}

.btn-group .active .btn-group-selected {
    display: inline;
}

/* Bootstrap, jQuery, etc. UI overrides */
#s-lg-guide-tabs i.fa-eye-slash {
    margin-left: 5px;
}

label.checkbox, label.radio {
    font-weight: normal;
}

#s-lib-alert-content .chosen-container-single .chosen-single {
    height: 26px;
}

#s-lib-alert-content {
    margin-top: 10px;
}

.chosen-container-multi .chosen-choices .search-field input {
    height: 25px !important;
}

.chosen-container-multi .chosen-choices,
.select2-container-multi .select2-choices {
    border-radius: 4px;
}

.select2-dropdown-open .select2-choices {
    border-radius: 4px 4px 0 0;
}

.form-group .select2-container-multi .select2-choices .select2-search-choice {
    margin: 3px 0 3px 4px;
    padding: 4px 5px 3px 18px;
}

.form-group .select2-search-choice-close {
    top: 4px;
}

.form-group .select2-container-multi .select2-choices .select2-search-choice {
    line-height: 14px;
}

.select2-container-multi .select2-choices .select2-search-field input {
    line-height: 17px;
}

#s-lib-alert-content .chosen-container .chosen-choices {
    padding-left: 5px;
}

.dropdown-header {
    font-size: 11px;
    font-weight: bold;
    text-transform: uppercase;
}

#s-lib-bc .breadcrumb, #s-lib-admin-bc .breadcrumb {
    margin: 5px 0 10px 0;
    font-weight: bold;
    font-size: 11px;
    padding: 0;
    background-color: transparent;
}

#s-lib-bc .breadcrumb > .active, #s-lib-admin-bc .breadcrumb > .active {
    color: #767676;
}

.ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset {
    float: left;
    padding-left: 10px;
}

.ui-dialog {
    padding: 0;
    position: fixed;
}

.ui-dialog .ui-dialog-buttonpane {
    border-top: 1px solid #bbb;
}

.ui-widget-content {
    border: 1px solid #bbb;
}

.ui-dialog-title {
    font-size: 11px;
}

.ui-dialog-titlebar {
    background: none;
    cursor: default;
    border: none;
    border-radius: none;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    border-bottom: 1px solid #d6d6d6;
    background-image: linear-gradient(to bottom, #FAFAFA, #F1F1F1);
    padding-top: 9px;
    padding-bottom: 9px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.067);
}

.ui-dialog-titlebar .ui-icon-closethick {
    background-position: -97px -129px;
}

button.ui-dialog-titlebar-close {
    box-shadow: 0;
}

.ui-dialog .ui-dialog-titlebar .ui-dialog-titlebar-close:hover,
.ui-dialog.ui-dialog-titlebar .ui-dialog-titlebar-close:focus {
    padding: 1px;
}

button.ui-dialog-titlebar-close i {
    position: relative;
    top: -2px;
}

.ui-widget {
    font-family: Arial, sans-serif;
    font-size: 1em;
}

.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button {
    font-family: inherit;
}

#s-lg-admin-edit-content-link-container a {
    color: #222;
}

.select2-container {
    width: 100%;
}

.select2-no-results {
    padding: 3px;
    font-size: 11px;
}

.alert {
    margin-bottom: 10px;
}

#cke_76_uiElement {
    position: relative;
    top: 4px;
    padding: 5px 5px 4px 5px;
}

.cke_dialog_ui_input_text input[type="text"] {
    height: 25px;
}

.minicolors .form-control, button.minicolors {
    height: 34px;
}

.form-control-text {
    position: relative;
    top: 7px;
}

/* Content box "floating box" overrides */
.s-lib-box-container .s-lib-floating-box {
    border-width: 0;
    box-shadow: 0 0 0 0;
    border-radius: 0;
}

.s-lib-box-container .s-lib-floating-box-content {
    padding: 0;
}

/* text classes */
.nowrap {
    white-space: nowrap;
}

/* form validation */
div small.error {
    color: #B94A48; /* color to match Bootstraps error class */
}

/* Styling for Select2 with error */
div.has-error .select2-container .select2-choice {
    border-color: rgb(185, 74, 72) !important;
}

/* used with the BS alert class */
.s-lib-form-msg {
    margin-top: 5px;
    margin-bottom: 0px;
    display: none;
}

/* profile classes */
.s-lib-profile-div {
    margin-bottom: 15px;
}

.s-lib-profile-div strong {
    display: block;
}

.s-lib-profile-image img {
    background-color: #FFFFFF;
    border: 1px solid #A9A9A9;
    box-shadow: 3px 3px 4px #AAAAAA;
    padding: 4px;
    max-width: 95%;
}

.s-lib-profile-name {
    font-weight: bold;
    font-size: 1.1em;
}

.s-lib-profile-center, .s-lib-profile-widget {
    text-align: center;
}

.s-lib-profile-widget div {
    margin-left: auto;
    margin-right: auto;
}

.s-lib-profile-div i {
    padding: 0px 5px;
    font-size: 1.4em;
}

.s-lib-profile-email a {
    font-size: 1.6em;
}

.s-lib-profile-div a i {
    disabled_color: #555555;
}

.s-lib-profile-div a:hover i, .s-lib-profile-div a:focus i {
    color: #005580;
    text-decoration: none;
}

/* featured profile classes */
.s-lib-featured-profile-container {
    margin: 5px;
    display: inline-block;
    vertical-align: top;
    x_height: 150px;
    width: 170px;
}

.s-lib-featured-profile-image {
    width: 100%;
    height: 82%;
    overflow: hidden;
}

.s-lib-featured-profile-image img {
    width: 100%;
}

.s-lib-featured-profile-name {
    line-height: 1.2;
    text-align: center;
    margin-top: 10px;
    font-weight: bold;
    color: #4c4c4c;
}

.s-lib-featured-profile-spacer {
    height: 10px !important;
}

.label-info {
    background-color: #286090;
}

/* profile Email Me button */
.s-lib-profile-email .label-info {
    background-color: #286090;
}

/* profile Email Me button focus + hover */
.s-lib-profile-email .label-info:focus, .s-lib-profile-email .label-info:hover {
    color: #fff;
    background-color: #084171;
    border: 1px solid #286090;
}

/* datatables; TODO: move to admin? */
/*.filter_column input, .filter_column select { width:90%; padding:0px !important; margin-bottom:0px !important; }*/
.dataTables_info, .dataTables_processing {
    display: inline;
    position: relative;
    top: 12px;
}

.dataTables_processing {
    color: #bbb;
    font-style: italic;
    margin-left: 10px;
}

.dataTables_clear {
    clear: both;
}

.s-lg-admin-datatable-header .btn-group, .s-lib-admin-datatable-header .btn-group {
    float: right;
}

.s-lib-admin-datatable {
    margin: 10px 0px !important;
}

.s-lg-admin-datatable-header, .s-lib-admin-datatable-header {
    vertical-align: text-bottom;
}

.dataTables_length select {
    width: auto !important;
}

/* scroll to top */
#s-lib-scroll-top {
    position: fixed;
    bottom: 50%;
    right: 5px;
    text-decoration: none;
    display: none;
    font-size: 1.5em;
}

#s-lib-scroll-top:hover {
    cursor: pointer;
}

.checkbox-group label {
    font-weight: normal;
    display: inline;
    padding-left: 5px;
}

/* Fix for image auto-resize bug for IE and FF*/
tr img {
    max-width: 100%;
}

/* e-reserve classes for public/admin view */
.s-lg-er-folder-name {
    font-size: 1.1em;
    position: relative;
    bottom: 3px;
    left: 8px;
}

.s-lg-er-copyright-statement {
    padding: 0px 5px;
}

/* Tweak for ckeditor table cellpadding and border issue*/
.ckeditor-table {
    border-collapse: initial;
}

/* classes for the section structures */
.s-lib-public-side-header h2 {
    margin-top: 0px;
    margin-bottom: 0px;
    font: bold 16px Arial, Geneva, Helvetica, sans-serif;
    border-bottom: 1px solid #a2a2a2;
    color: #686868;
}

/* in-context help classes */
.s-lib-help-icon {
    color: #ccc;
}

.s-lib-help-icon-info {
    cursor: default;
}

#s-lib-admin-header-title .s-lib-help-icon {
    font-size: 0.8em;
    position: relative;
    bottom: 3px;
    color: orange !important;
}

legend .s-lib-help-icon {
    font-size: 0.8em;
    position: relative;
    bottom: 3px;
}

.s-lib-help-popover, .s-lib-help-text {
    font-weight: normal;
    font-size: 1.0em;
    color: #666;
}

.s-lib-help-alert {
    margin-bottom: 20px;
}

.s-lib-help-page-content {
    float: right;
}

.s-lib-help-page-content .s-lib-help-icon,
.s-lib-lang-page-content .s-lib-lang-icon {
    color: orange !important;
    font-size: 1.8em;
}

.s-lib-help-page-content .fa-exclamation-triangle {
    color: red !important;
}

/* doc type icons */
.s-lg-file-icon.fa-file-excel-o {
    color: green;
}

.s-lg-file-icon.fa-file-pdf-o {
    color: red;
}

.s-lg-file-icon.fa-file-word-o {
    color: blue;
}

.s-lg-file-icon.fa-file-powerpoint-o {
    color: orange;
}

#s-lg-public-skiplink {
    padding: 10px;
    position: absolute;
    top: calc(-100%);
    left: 0px;
    border: 2px solid rgb(0, 0, 0);
    border-radius: 4px;
    transition: top 1s ease-out, background 1s linear;
    z-index: 100;
    background-color: #fff;
}

#s-lg-public-skiplink:focus {
    position: absolute;
    left: 0px;
    top: 0px;
    outline: 0;
    transition: top .1s ease-in, background .5s linear;
}

@media print {
    a[href]:after {
        content: none
    }

    .col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-10, .col-md-11, .col-md-12 {
        float: left;
    }

    .col-md-12 {
        width: 100%;
    }

    .col-md-11 {
        width: 91.66666667%;
    }

    .col-md-10 {
        width: 83.33333333%;
    }

    .col-md-9 {
        width: 75%;
    }

    .col-md-8 {
        width: 66.66666667%;
    }

    .col-md-7 {
        width: 58.33333333%;
    }

    .col-md-6 {
        width: 50%;
    }

    .col-md-5 {
        width: 41.66666667%;
    }

    .col-md-4 {
        width: 33.33333333%;
    }

    .col-md-3 {
        width: 25%;
    }

    .col-md-2 {
        width: 16.66666667%;
    }

    .col-md-1 {
        width: 8.33333333%;
    }

    .col-md-pull-12 {
        right: 100%;
    }

    .col-md-pull-11 {
        right: 91.66666667%;
    }

    .col-md-pull-10 {
        right: 83.33333333%;
    }

    .col-md-pull-9 {
        right: 75%;
    }

    .col-md-pull-8 {
        right: 66.66666667%;
    }

    .col-md-pull-7 {
        right: 58.33333333%;
    }

    .col-md-pull-6 {
        right: 50%;
    }

    .col-md-pull-5 {
        right: 41.66666667%;
    }

    .col-md-pull-4 {
        right: 33.33333333%;
    }

    .col-md-pull-3 {
        right: 25%;
    }

    .col-md-pull-2 {
        right: 16.66666667%;
    }

    .col-md-pull-1 {
        right: 8.33333333%;
    }

    .col-md-pull-0 {
        right: auto;
    }

    .col-md-push-12 {
        left: 100%;
    }

    .col-md-push-11 {
        left: 91.66666667%;
    }

    .col-md-push-10 {
        left: 83.33333333%;
    }

    .col-md-push-9 {
        left: 75%;
    }

    .col-md-push-8 {
        left: 66.66666667%;
    }

    .col-md-push-7 {
        left: 58.33333333%;
    }

    .col-md-push-6 {
        left: 50%;
    }

    .col-md-push-5 {
        left: 41.66666667%;
    }

    .col-md-push-4 {
        left: 33.33333333%;
    }

    .col-md-push-3 {
        left: 25%;
    }

    .col-md-push-2 {
        left: 16.66666667%;
    }

    .col-md-push-1 {
        left: 8.33333333%;
    }

    .col-md-push-0 {
        left: auto;
    }

    .col-md-offset-12 {
        margin-left: 100%;
    }

    .col-md-offset-11 {
        margin-left: 91.66666667%;
    }

    .col-md-offset-10 {
        margin-left: 83.33333333%;
    }

    .col-md-offset-9 {
        margin-left: 75%;
    }

    .col-md-offset-8 {
        margin-left: 66.66666667%;
    }

    .col-md-offset-7 {
        margin-left: 58.33333333%;
    }

    .col-md-offset-6 {
        margin-left: 50%;
    }

    .col-md-offset-5 {
        margin-left: 41.66666667%;
    }

    .col-md-offset-4 {
        margin-left: 33.33333333%;
    }

    .col-md-offset-3 {
        margin-left: 25%;
    }

    .col-md-offset-2 {
        margin-left: 16.66666667%;
    }

    .col-md-offset-1 {
        margin-left: 8.33333333%;
    }

    .col-md-offset-0 {
        margin-left: 0%;
    }

    .visible-xs {
        display: none !important;
    }

    .hidden-xs {
        display: block !important;
    }

    table.hidden-xs {
        display: table;
    }

    tr.hidden-xs {
        display: table-row !important;
    }

    th.hidden-xs,
    td.hidden-xs {
        display: table-cell !important;
    }

    .hidden-xs.hidden-print {
        display: none !important;
    }

    .hidden-sm {
        display: none !important;
    }

    .visible-sm {
        display: block !important;
    }

    table.visible-sm {
        display: table;
    }

    tr.visible-sm {
        display: table-row !important;
    }

    th.visible-sm,
    td.visible-sm {
        display: table-cell !important;
    }
}

#jquery-notification {
    background-color: rgba(0, 0, 0, 0.75);
    border-radius: 6px;
    padding: 20px;
    cursor: pointer;
    color: #ffffff;
}

#jquery-notification.jquery-notification-error {
    background-color: #f2dede;
    border: 2px solid #ebccd1;
    color: #b94a48;
}

#jquery-notification-message {
    font: bold 14px Helvetica, Arial, sans-serif;
    text-align: center;
    white-space: nowrap;
}

/* jQuery UI dialog overrides */
.ui-corner-all, .ui-corner-bottom, .ui-corner-right, .ui-corner-br {
    border-bottom-right-radius: 0;
}

.ui-corner-all, .ui-corner-bottom, .ui-corner-left, .ui-corner-bl {
    border-bottom-left-radius: 0;
}

.ui-dialog {
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
    border-radius: 6px;
}

.ui-dialog .ui-dialog-titlebar-close {
    border-radius: 2px;
    margin: -10px 2px 0 0;
}

/* @TODO Set styling to be more like Bootstrap modals.
.ui-dialog-title {
    font-size: 18px;
    font-weight: 500;
}
.ui-dialog-titlebar {
    padding: 15px;
}
*/
/*
Multiselect overrides
*/
input.form-control.multiselect-search {
    z-index: 9999
}

.multiselect-clear-filter i {
    font-size: 14px;
}

.pad-top-none {
    padding-top: 0px;
}

.pad-bottom-none {
    padding-top: 0px;
}

.pad-left-none {
    padding-left: 0;
}

.pad-right-none {
    padding-right: 0;
}

.s-lg-az-result, .s-lg-az-trial {
    border-bottom: 1px solid #ECECEC;
    padding: 10px 0px;
    clear: both;
}

.s-lg-az-trial {
    padding: 10px 0px;
}

.s-lg-az-result-title {
    font-weight: bold;
    display: inline;
    margin-right: 10px;
}

.s-lg-az-result-title .popover {
    font-weight: normal;
}

.s-lg-az-result-share {
    display: inline;
    float: right;
    margin-right: 10px;
}

.s-lg-az-result-share:hover {
    cursor: pointer;
}

.s-lg-az-result-badges {
    display: inline;
    position: relative;
    bottom: 2px;
}

.s-lg-az-result-description, .s-lg-az-result-moreinfo, .s-lg-az-result-moreinfo-link {
    font-size: 0.9em;
    line-height: 150%;
}

.s-lg-az-result-moreinfo-link {
    display: block;
    font-style: italic;
}

.s-lg-az-trials, #s-lg-az-trials-none {
    margin-top: 10px;
}

.s-lg-az-result-props {
    margin-top: 10px;
}

.s-lg-az-result-props ul {
    list-style: none;
    padding: 0px;
    margin: 0px;
}

.s-lg-az-result-props li {
    float: left;
    padding: 0px 10px;
    color: #8a8a8a;
    border-right: 1px dotted #8a8a8a;
    font-size: 11px;
    font-weight: bold;
}

.s-lg-az-result-props li.first {
    padding-left: 0px;
}

.s-lg-az-result-props li.last {
    border-right: none;
}

/* Bootstrap tooltip text align override */
.tooltip-arrow {
    color: #888;
}

#s-lib-public-main .tooltip .tooltip-arrow {
    border-bottom-color: #888;
}

.tooltip-inner {
    text-align: left;
    color: #000;
    background-color: #eee;
    border: 1px solid #888;
}

/* Gallery box headers */
.s-lib-cpane-caption h3 {
    font-size: 18px;
}

/* Fixes for jQueryUI 1.10+ dialogs */
.ui-widget-overlay {
    z-index: 1000 !important;
    position: fixed;
}

.ui-dialog {
    /* Ensures the dialog is always displayed above the orange header menu for accessibility */
    /* When using Select2 inside the dialog, z-index should not exceed 5000 */
    z-index: 2000 !important;
}

/* Fix for blog image widths */
div#s-lg-blog-content img {
    max-width: 100%;
}

.s-lg-gmeta {
    line-height: 34px;
}

/* Overriding default bootstrap styles to improve contrast */
.btn-info,
.btn-info:hover,
.btn-info:focus,
.btn-info:active,
.btn-info.active {
    background-color: #337ab7;
    border-color: #337ab7;
}

.s-lg-blog-search button, .s-lg-blog-search input {
    height: 28px;
}

@media (min-width: 992px) {
    .s-lg-blog-search div.col-md-3 {
        padding-left: 0;
    }

    button#s-lg-blog-search-submit {
        font-size: 10px;
    }
}

/* BS tab box padding */
.s-lib-jqtabs div.tab-content {
    padding: 10px;
    border-bottom: 1px solid #ddd;
    border-left: 1px solid #ddd;
    border-right: 1px solid #ddd;
}

/* https://github.com/springshare/LibGuides2/issues/1587 */
a:focus, input[type=checkbox]:focus, input[type=file]:focus, input[type=radio]:focus, .btn.active.focus, .btn.active:focus, .btn.focus, .btn:active.focus, .btn:active:focus, .btn:focus {
    outline-offset: 0 !important;
}

/* https://github.com/springshare/LibGuides2/issues/1587 */
a:focus {
    outline: 5px auto -webkit-focus-ring-color; /* Default Safari/Chrome focus color */
    outline: 5px auto Highlight; /* Again, Firefox/Edge/Other browser focus color */
}

/* https://github.com/springshare/LibGuides2/issues/708 */
.btn-warning {
    background-color: #ffc107;
    border-color: #cb9905;
    color: #333333;
}

.btn-warning.focus, .btn-warning:focus {
    color: #333;
}

.btn-warning:hover {
    color: #000;
    background-color: #ffca2c;
}

.btn-success {
    color: #fff;
    background-color: #198754;
    border-color: #12603c;
}

.btn-success:hover {
    background-color: #157347;
}

.btn-danger {
    background-color: #D3443D;
    border-color: #D43F3A;
}

.btn-danger:hover {
    background-color: #bb2d3b;
}

.btn-info.active, .btn-info:active, .btn-info:focus, .btn-info:hover {
    background-color: #175890;
}

.alert-primary {
    color: #084298;
    background-color: #cfe2ff;
    border-color: #b6d4fe;
}

.alert-success, .label-success {
    color: #0f5132;
    background-color: #d1e7dd;
    border-color: #badbcc;
}

.alert-warning, .label-warning {
    color: #664d03;
    background-color: #fff3cd;
    border-color: #ffecb5;
}

.alert-danger, .label-danger {
    color: #842029;
    background-color: #f8d7da;
    border-color: #f5c2c7;
}

.alert-info {
    color: #055160;
    background-color: #cff4fc;
    border-color: #b6effb;
}

.badge {
    background-color: #6c757d;
}

/** adds padding to the bootstrap multiselect dropdown checkboxes */
ul.multiselect-container li label {
    padding-left: 10px;
}

/* jquery UI dialog content */
.ui-dialog-content {
    max-height: 75vh !important;
    overflow-y: auto !important;
}

